Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.appconn.ldap
Interface EntryOptions

All Known Subinterfaces:
  AddEntryOptions

All Known Implementing Classes:
  AddEntryOptionsImpl, EntryOptionsImpl

    public interface EntryOptions

Entry Options interface. Defines methods for setting the options for an LDAP entry.

Version:
  $Revision: 1.3 $
Author:

Method Summary
`boolean` | `getIgnoreAttributeIDCase()` retrieves the value set for ignoring attribute ID case.
`boolean` | `getOrderAttributeValues()` retrieves the value set for ordering attribute values.
`void` | `reset()` Method to reset the values
`void` | `setIgnoreAttributeIDCase(boolean ignoreCase)` sets the value for ignoreAttributeIDCase.
`void` | `setOrderAttributeValues(boolean orderValues)` sets the value for orderAttributeValues.

Method Detail

### getIgnoreAttributeIDCase

    boolean getIgnoreAttributeIDCase()

  retrieves the value set for ignoring attribute ID case.

  Returns:
    the boolean value set for ignoring attribute ID case.

### setIgnoreAttributeIDCase

    void setIgnoreAttributeIDCase(boolean ignoreCase)

  sets the value for ignoreAttributeIDCase. setting to true denotes that the case of the attribute ID should be ignored (case-insensitive).

  Parameters:
    `ignoreCase` - setting to true will ignore case

### getOrderAttributeValues

    boolean getOrderAttributeValues()

  retrieves the value set for ordering attribute values.

  Returns:
    the boolean value set for ordering of attribute values.

### setOrderAttributeValues

    void setOrderAttributeValues(boolean orderValues)

  sets the value for orderAttributeValues. setting to true denotes that the attribute values have to be ordered.

  Parameters:
    `orderValues` - setting to true will order the attribute values

### reset

    void reset()

  Method to reset the values

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for LDAP API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD